#!/bin/csh

/bin/rm -fr ft

#make the input FID a pseudo 4D:
/u/jinfay/series3D.com fid/test*.fid

xyz2pipe -in fid/test%03d.fid                              \
| nmrPipe  -fn MAC -macro $NMRTXT/bruk_ranceY.M            \
           -noRd -noWr                                     \
| nmrPipe  -fn POLY -time                                  \
| nmrPipe  -fn SP -off 0.4 -end 0.98 -pow 2 -elb 15 -c 0.5 \
| nmrPipe  -fn ZF -zf 1 -auto                              \
| nmrPipe  -fn FT                                          \
| nmrPipe  -fn PS -p0 34 -p1 0 -di                         \
| nmrPipe  -fn EXT -x1 11.2ppm -xn 5.5ppm -sw              \
| nmrPipe  -fn ZTP                                         \
| nmrPipe  -fn TP                                          \
| nmrPipe  -fn SMILE -sample nuslist -thresh 0.95          \
           -sampleCount 1040 -report 1 -pseudoND           \
           -xP0 0  -xP1 0 -xT 160  -xCT 68 -xQ3 2          \
           -yP0 0  -yP1 0 -yT 26 -yAlt -yQ3 2              \
#| nmrPipe  -fn SP -off 0.5 -end 0.98 -pow 1 -c 0.5         \
| nmrPipe  -fn ZF -zf 2 -auto                              \
| nmrPipe  -fn FT                                          \
| nmrPipe  -fn PS -p0 0 -p1 0 -di                          \
| nmrPipe  -fn TP                                          \
#| nmrPipe  -fn SP -off 0.5 -end 0.98 -pow 1 -c 0.5         \
| nmrPipe  -fn ZF -zf 2 -auto                              \
| nmrPipe  -fn FT -alt                                     \
| nmrPipe  -fn PS -p0 0 -p1 0 -di                          \
| nmrPipe  -fn TP                                          \
| nmrPipe  -fn ZTP                                         \
| nmrPipe  -fn FLATT -first -last                          \
| pipe2xyz -out ft/test%03d.ft3 -x

copyTau.com fid/test%03d.fid ft/test%03d.ft3 -noverb -all

/bin/rm -fr proj4Ref proj4Att

proj3D.tcl -in ft/test001.ft3 -outDir proj4Ref
proj3D.tcl -in ft/test002.ft3 -outDir proj4Att


