#!/bin/csh

/bin/rm -fr ft

# 1) The two interleaved 3D data sets are first combined into 
#    one pseudo 4D data set using the included script series3D.com.
# 2) The baseline correction is done using FLATT, included in
     the SMILE plug-in

#make the input FID a pseudo 4D:
./series3D.com fid/test*.fid

xyz2pipe -in fid/test%03d.fid                              \
| nmrPipe  -fn POLY -time                                  \
| nmrPipe  -fn SP -off 0.4 -end 0.98 -pow 2 -elb 15 -c 0.5 \
| nmrPipe  -fn ZF -zf 1 -auto                              \
| nmrPipe  -fn FT                                          \
| nmrPipe  -fn PS -p0 34 -p1 0 -di                         \
| nmrPipe  -fn EXT -x1 11.2ppm -xn 5.5ppm -sw              \
| nmrPipe  -fn ZTP                                         \
| nmrPipe  -fn TP                                          \
| nmrPipe  -fn SP -off 0.5 -end 0.98 -pow 1 -c 0.5         \
| nmrPipe  -fn ZF -zf 2 -auto                              \
| nmrPipe  -fn FT                                          \
| nmrPipe  -fn PS -p0 0 -p1 0 -di                          \
| nmrPipe  -fn TP                                          \
| nmrPipe  -fn SP -off 0.5 -end 0.98 -pow 1 -c 0.5         \
| nmrPipe  -fn ZF -zf 2 -auto                              \
| nmrPipe  -fn FT -alt                                     \
| nmrPipe  -fn PS -p0 0 -p1 0 -di                          \
| nmrPipe  -fn TP                                          \
| nmrPipe  -fn ZTP                                         \
| nmrPipe  -fn FLATT -first -last                          \
| pipe2xyz -out ft/test%03d.ft3 -x

#copy the tau value in the header of the FID files to spectral files:
copyTau.com fid/test%03d.fid ft/test%03d.ft3 -noverb -all

/bin/rm -fr proj4Ref proj4Att

proj3D.tcl -in ft/test001.ft3 -outDir proj4Ref
proj3D.tcl -in ft/test002.ft3 -outDir proj4Att


